Package org.firebirdsql.gds.impl

## Class BaseGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

- All Implemented Interfaces:
    `GDSFactoryPlugin`
  Direct Known Subclasses:
    `EmbeddedGDSFactoryPlugin`, `NativeGDSFactoryPlugin`, `OOGDSFactoryPlugin`, `WireGDSFactoryPlugin`

      public abstract class BaseGDSFactoryPlugin
      extends java.lang.Object
      implements GDSFactoryPlugin

  Base class for `GDSFactoryPlugin` implementations.

  Handles commonalities across existing implementations.

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseGDSFactoryPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Class<?>` | `getConnectionClass()` |
    `java.lang.String` | `getDatabasePath​(java.lang.String jdbcUrl)` |
    `java.lang.String` | `getDatabasePath​(java.lang.String server, java.lang.Integer port, java.lang.String path)` |
    `java.lang.String` | `getDefaultProtocol()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.impl.GDSFactoryPlugin

      `getDatabaseFactory, getDatabasePath, getPluginName, getSupportedProtocols, getTypeAliases, getTypeName`

- - ### Constructor Detail

    - #### BaseGDSFactoryPlugin

          public BaseGDSFactoryPlugin()

  - ### Method Detail

    - #### getConnectionClass

          public java.lang.Class<?> getConnectionClass()

      Specified by:
        `getConnectionClass` in interface `GDSFactoryPlugin`

    - #### getDefaultProtocol

          public java.lang.String getDefaultProtocol()

      Specified by:
        `getDefaultProtocol` in interface `GDSFactoryPlugin`

    - #### getDatabasePath

          public java.lang.String getDatabasePath​(java.lang.String jdbcUrl)
                                           throws GDSException

      Specified by:
        `getDatabasePath` in interface `GDSFactoryPlugin`
      Throws:
        `GDSException`

    - #### getDatabasePath

          public java.lang.String getDatabasePath​(java.lang.String server,
                                                  java.lang.Integer port,
                                                  java.lang.String path)
                                           throws GDSException

      Specified by:
        `getDatabasePath` in interface `GDSFactoryPlugin`
      Throws:
        `GDSException`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`